export declare const AudioMimeTypes: readonly ["audio/aac", "audio/midi", "audio/x-midi", "audio/mpeg", "audio/ogg", "application/ogg", "audio/opus", "audio/wav", "audio/webm", "audio/3gpp2"];
export declare const VideoMimeTypes: readonly ["video/x-msvideo", "video/mpeg", "video/ogg", "video/mp2t", "video/webm", "video/3gpp", "video/3gpp2"];
export declare const ImageMimeTypes: readonly ["image/bmp", "image/gif", "image/jpeg", "image/png", "image/svg+xml", "image/vnd.microsoft.icon", "image/tiff", "image/webp"];
export declare const CompressedMimeTypes: readonly ["application/x-bzip", "application/x-bzip2", "application/gzip", "application/java-archive", "application/x-tar", "application/zip", "application/x-7z-compressed"];
export declare const DocumentMimeTypes: readonly ["application/x-abiword", "application/x-freearc", "application/vnd.amazon.ebook", "application/msword", "application/vnd.openxmlformats-officedocument.wordprocessingml.document", "application/vnd.ms-fontobject", "application/vnd.oasis.opendocument.presentation", "application/vnd.oasis.opendocument.spreadsheet", "application/vnd.oasis.opendocument.text", "application/vnd.ms-powerpoint", "application/vnd.openxmlformats-officedocument.presentationml.presentation", "application/vnd.rar", "application/rtf", "application/vnd.ms-excel", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"];
export declare const TextMimeTypes: readonly ["text/css", "text/csv", "text/html", "text/calendar", "text/javascript", "application/json", "application/ld+json", "text/javascript", "text/plain", "application/xhtml+xml", "application/xml", "text/xml"];
export declare const BinaryDocsMimeTypes: readonly ["application/epub+zip", "application/pdf"];
export declare const FontMimeTypes: readonly ["font/otf", "font/ttf", "font/woff", "font/woff2"];
export declare const OtherMimeTypes: readonly ["application/octet-stream", "application/x-csh", "application/vnd.apple.installer+xml", "application/x-httpd-php", "application/x-sh", "application/x-shockwave-flash", "vnd.visio", "application/vnd.mozilla.xul+xml"];
export declare const MimeTypes: ("audio/aac" | "audio/midi" | "audio/x-midi" | "audio/mpeg" | "audio/ogg" | "application/ogg" | "audio/opus" | "audio/wav" | "audio/webm" | "audio/3gpp2" | "video/x-msvideo" | "video/mpeg" | "video/ogg" | "video/mp2t" | "video/webm" | "video/3gpp" | "video/3gpp2" | "image/bmp" | "image/gif" | "image/jpeg" | "image/png" | "image/svg+xml" | "image/vnd.microsoft.icon" | "image/tiff" | "image/webp" | "application/x-bzip" | "application/x-bzip2" | "application/gzip" | "application/java-archive" | "application/x-tar" | "application/zip" | "application/x-7z-compressed" | "application/x-abiword" | "application/x-freearc" | "application/vnd.amazon.ebook" | "application/msword" | "application/vnd.openxmlformats-officedocument.wordprocessingml.document" | "application/vnd.ms-fontobject" | "application/vnd.oasis.opendocument.presentation" | "application/vnd.oasis.opendocument.spreadsheet" | "application/vnd.oasis.opendocument.text" | "application/vnd.ms-powerpoint" | "application/vnd.openxmlformats-officedocument.presentationml.presentation" | "application/vnd.rar" | "application/rtf" | "application/vnd.ms-excel" | "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" | "text/css" | "text/csv" | "text/html" | "text/calendar" | "text/javascript" | "application/json" | "application/ld+json" | "text/plain" | "application/xhtml+xml" | "application/xml" | "text/xml" | "application/epub+zip" | "application/pdf" | "font/otf" | "font/ttf" | "font/woff" | "font/woff2" | "application/octet-stream" | "application/x-csh" | "application/vnd.apple.installer+xml" | "application/x-httpd-php" | "application/x-sh" | "application/x-shockwave-flash" | "vnd.visio" | "application/vnd.mozilla.xul+xml")[];
declare type PopularMimeTypes = typeof MimeTypes[number];
export declare type MimeType = PopularMimeTypes | {
    [key: string]: string;
};
export {};
